Bug 213743 - Cleanup no longer needed CHMOD usage.
Summary: Cleanup no longer needed CHMOD usage.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on: 213574
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-24 14:10 UTC by Mathieu Arnold
Modified: 2016-11-02 22:46 UTC (History)
2 users (show)

See Also:
mat: exp-run?


Attachments
v1 (51.49 KB, patch)
2016-10-24 14:10 UTC, Mathieu Arnold
no flags Details | Diff
v2 (48.76 KB, patch)
2016-10-28 13:33 UTC, Mathieu Arnold
no flags Details | Diff
v3 (50.78 KB, patch)
2016-11-02 16:10 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2016-10-24 14:10:21 UTC
Created attachment 176101 [details]
v1
Comment 1 Mathieu Arnold freebsd_committer 2016-10-28 13:33:47 UTC
Created attachment 176243 [details]
v2
Comment 2 Antoine Brodin freebsd_committer 2016-10-31 06:45:00 UTC
New failure when building as root:

http://package22.nyi.freebsd.org/data/93amd64-default-PR213743/2016-10-30_18h36m29s/logs/errors/duel-0.98_9.log

New failures when building as non-root:

 + {"origin"=>"chinese/opendesktop-fonts", "pkgname"=>"zh-opendesktop-fonts-1.4.2_5", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"converters/p5-Unicode-IMAPUtf7", "pkgname"=>"p5-Unicode-IMAPUtf7-2.01_2", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"deskutils/simplegroupware", "pkgname"=>"simplegroupware-0.745", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"devel/cvschangelogbuilder", "pkgname"=>"cvschangelogbuilder-2.5", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"games/duel", "pkgname"=>"duel-0.98_9", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"graphics/blender-doc", "pkgname"=>"blender-doc-2.3", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"lang/hla", "pkgname"=>"hla-1.103", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"mail/gotmail", "pkgname"=>"gotmail-0.9.0_2", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"mail/rss2email2", "pkgname"=>"py27-rss2email-2.71_1", "phase"=>"extract", "errortype"=>"???"}

Failure logs:

+ {"origin"=>"chinese/opendesktop-fonts", "pkgname"=>"zh-opendesktop-fonts-1.4.2_5", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"converters/p5-Unicode-IMAPUtf7", "pkgname"=>"p5-Unicode-IMAPUtf7-2.01_2", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"deskutils/simplegroupware", "pkgname"=>"simplegroupware-0.745", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"devel/cvschangelogbuilder", "pkgname"=>"cvschangelogbuilder-2.5", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"games/duel", "pkgname"=>"duel-0.98_9", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"graphics/blender-doc", "pkgname"=>"blender-doc-2.3", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"lang/hla", "pkgname"=>"hla-1.103", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"mail/gotmail", "pkgname"=>"gotmail-0.9.0_2", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"mail/rss2email2", "pkgname"=>"py27-rss2email-2.71_1", "phase"=>"extract", "errortype"=>"???"}
Comment 4 Mathieu Arnold freebsd_committer 2016-11-02 16:10:49 UTC
Created attachment 176476 [details]
v3

Fixed all those and rebased on ports r425159.

Do you think a new exp-run is needed ?
Comment 5 Antoine Brodin freebsd_committer 2016-11-02 16:51:23 UTC
This should be fine if you tested those 9 ports.
Comment 6 commit-hook freebsd_committer 2016-11-02 22:46:06 UTC
A commit references this bug:

Author: mat
Date: Wed Nov  2 22:45:23 UTC 2016
New revision: 425174
URL: https://svnweb.freebsd.org/changeset/ports/425174

Log:
  Cleanup no longer needed CHMOD usage after r424898.

  PR:		213743
  Submitted by:	mat
  Exp-run by:	antoine
  Sponsored by:	Absolight

Changes:
  head/audio/festdoc/Makefile
  head/audio/festlex-oald/Makefile
  head/audio/festlex-ogi/Makefile
  head/audio/festvox-don/Makefile
  head/audio/festvox-el11/Makefile
  head/audio/festvox-kal8/Makefile
  head/audio/festvox-ked16/Makefile
  head/audio/festvox-ked8/Makefile
  head/audio/festvox-rab16/Makefile
  head/audio/festvox-rab8/Makefile
  head/audio/festvox-russian/Makefile
  head/audio/vorbisgain/Makefile
  head/audio/xmcd/Makefile
  head/biology/libsbml/Makefile
  head/biology/ncbi-toolkit/Makefile
  head/biology/paml/Makefile
  head/biology/tinker/Makefile
  head/chinese/opendesktop-fonts/Makefile
  head/converters/chmview/Makefile
  head/converters/p5-Unicode-IMAPUtf7/Makefile
  head/deskutils/simplegroupware/Makefile
  head/devel/cvschangelogbuilder/Makefile
  head/devel/erlang-esdl/Makefile
  head/devel/flex-sdk/Makefile
  head/devel/ocaml-camomile-examples/Makefile
  head/devel/py-blist/Makefile
  head/devel/py-efilter/Makefile
  head/devel/py-google-apputils/Makefile
  head/devel/py-prettytable/Makefile
  head/devel/py-pydenticon/Makefile
  head/devel/py-zope.minmax/Makefile
  head/devel/smake/Makefile
  head/editors/nvi-devel/Makefile
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c7/Makefile
  head/games/alephone-scenarios/Makefile
  head/games/duel/Makefile
  head/games/ember/Makefile
  head/games/linux-nwnclient/Makefile
  head/games/ptkei/Makefile
  head/games/quake-dpmod/Makefile
  head/games/rocksndiamonds-data/Makefile
  head/games/tuxpaint/Makefile
  head/games/tuxpaint-config/Makefile
  head/games/xtet42/Makefile
  head/graphics/4va/Makefile
  head/graphics/blender-doc/Makefile
  head/graphics/seejpeg/Makefile
  head/graphics/xfig/Makefile
  head/japanese/cmigemo/Makefile
  head/japanese/cmigemo-dict/Makefile
  head/lang/gscheme/Makefile
  head/lang/guile/Makefile
  head/lang/hla/Makefile
  head/lang/icc/Makefile
  head/lang/mosml/Makefile
  head/lang/rust/Makefile
  head/lang/squirrel/Makefile
  head/mail/alpine/Makefile
  head/mail/gotmail/Makefile
  head/mail/libspf/Makefile
  head/mail/py-spambayes/Makefile
  head/mail/qpopper/Makefile
  head/mail/rss2email2/Makefile
  head/math/p5-Statistics-LineFit/Makefile
  head/math/py-theano/Makefile
  head/misc/py-progressbar/Makefile
  head/net/abills/Makefile
  head/net/binkd/Makefile
  head/net/samba36/Makefile
  head/net/ssspl/Makefile
  head/net-mgmt/phpweathermap/Makefile
  head/net-p2p/gtk-gnutella/Makefile
  head/science/silo/Makefile
  head/security/apg/Makefile
  head/security/bugs/Makefile
  head/security/py-oauthlib/Makefile
  head/security/py-pyaff4/Makefile
  head/security/py-rekall/Makefile
  head/security/py-rekall-core/Makefile
  head/security/py-rekall_gui/Makefile
  head/security/secure_delete/Makefile
  head/sysutils/dirvish/Makefile
  head/sysutils/e2fsprogs/Makefile
  head/sysutils/linux-nero/Makefile
  head/sysutils/vobcopy/Makefile
  head/textproc/jade/Makefile
  head/textproc/p5-Text-RecordParser/Makefile
  head/textproc/p5-XML-Handler-Trees/Makefile
  head/textproc/p5-XML-Parser/Makefile
  head/textproc/py-Chameleon/Makefile
  head/textproc/py-cloud_sptheme/Makefile
  head/textproc/py-diff-match-patch/Makefile
  head/www/coppermine/Makefile
  head/www/php-plurk-api/Makefile
  head/www/phprecipebook/Makefile
  head/www/pivotx/Makefile
  head/www/piwigo/Makefile
  head/www/py-WebError/Makefile
  head/www/py-flask-bootstrap/Makefile
  head/www/py-httplib2/Makefile
  head/www/py-wsgiauth/Makefile
  head/www/rubygem-robots/Makefile
  head/www/trac-watchlist/Makefile
  head/www/webgrind/Makefile
  head/x11-themes/gtk-digital-cream-theme/Makefile
  head/x11-themes/gtk-digital-harmony-theme/Makefile
  head/x11-themes/gtk-longhorninspirat-theme/Makefile
  head/x11-themes/gtk-milk-theme/Makefile
  head/x11-toolkits/gnocl/Makefile